Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.fileupload
Class SizesTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.commons.fileupload.FileUploadTestCase
                  org.apache.commons.fileupload.SizesTest

All Implemented Interfaces:
  junit.framework.Test

    public class SizesTest

extends FileUploadTestCase

Unit test for items with varying sizes.

Field Summary

Fields inherited from class org.apache.commons.fileupload.FileUploadTestCase
`CONTENT_TYPE`

Constructor Summary
`SizesTest()`

Method Summary
`void` | `testFileSizeLimit()` Checks, whether limiting the file size works.
`void` | `testFileUpload()` Runs a test with varying file sizes.

Methods inherited from class org.apache.commons.fileupload.FileUploadTestCase
`parseUpload, parseUpload, parseUpload`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SizesTest

    public SizesTest()

Method Detail

### testFileUpload

    public void testFileUpload()
                        throws java.io.IOException,
                               org.apache.commons.fileupload.FileUploadException

  Runs a test with varying file sizes.

  Throws:
    `java.io.IOException`
    `org.apache.commons.fileupload.FileUploadException`

### testFileSizeLimit

    public void testFileSizeLimit()
                           throws java.io.IOException,
                                  org.apache.commons.fileupload.FileUploadException

  Checks, whether limiting the file size works.

  Throws:
    `java.io.IOException`
    `org.apache.commons.fileupload.FileUploadException`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2002-2008 The Apache Software Foundation. All Rights Reserved.